Application Server Solutions for Microsoft IIS and ASP.NET
       solutions   products   partners   company   support   downloads         store
Integrating ServletExec 4.1.1 or 4.2 with ArcIMS

Up one level

Which version of ServletExec is right for me?

Note:
These instructions apply only to ServletExec 4.1.1 or 4.2 with ArcIMS 4.0.1, using Apache web server (v. 1.3.12, 1.3.14, 1.3.19, or 1.3.20) on the Windows operating system.
Also note that Apache 1.3.26 on Windows is also supported if you use ServletExec 4.2 or the ServletExec 4.1.1 installer that is found on the ArcIMS 4.0.1 CD (ServletExec_AS_411a.exe). That particular 4.1.1 installer is not available on the New Atlanta Website. It is a special version of the SE 4.1.1 installer that was created especially for Esri, which looks for the Apache 1.3.26 registry entries in addition to the earlier versions listed above.
Instructions for integrating other versions of ServletExec and ArcIMS can be found here.

The instructions at this website are provided by New Atlanta Communications.
In addition to these instructions, Esri provides its own steps for installation and configuration of ServletExec and ArcIMS.
For ServletExec 4.1.1 AS for Apache on Windows and ArcIMS 4.0.1 click here.
A listing of all such Esri knowledge base articles can be found here.


 
Configuring ServletExec to work with ArcIMS 4.0.1:

Note: If you ran the ArcIMS 4.0.1 Post Installer and allowed it to perform the Automated Web server - Servlet Engine configuration, then ServletExec and your web server should already be configured to use the ArcIMS Servlet Connector, and you can skip this step.

Otherwise, you will need to manually configure ServletExec and your Web Server to use the ArcIMS Servlet Connector.
The best way to do this manually is to carefully follow the steps given in step #4 of the "Microsoft Windows" chapter of the ArcIMS 4.0.1 Installation Guide (/Documentation/Install.htm on the ArcIMS 4.0.1 CD).


 
  
 
company media information terms of use privacy policy contact us